net.sf.cglib.transform

## Class AbstractClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - net.sf.cglib.transform.AbstractClassLoader

- Direct Known Subclasses:
    TransformingClassLoader

      public abstract class AbstractClassLoader
      extends java.lang.ClassLoader

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `loadClass(java.lang.String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadClass

          public java.lang.Class loadClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

Copyright (c) 2001 - Apache Software Foundation